Name: zephulor
Version: 0.9a
Release: alt3

Summary: Zephulor - game written in Python

License: LGPL
Group: Games/Arcade
Url: http://games.hollowworks.com/

Packager: Vitaly Lipatov <lav@altlinux.ru>

Source: http://www.hollowworks.com/downloads/adventuresonplanetzephulor/files/%name-source.tar.bz2

%setup_python_module %name
%add_python_lib_path %_gamesdatadir/%name

BuildArchitectures: noarch

%description
Planet Zephulor is a side scrolling platform arcade game under development.
Currently the game spans 15 levels. 

%prep
%setup -q -n %name-source
%__subst "s|!/bin/env|!/usr/bin/env|" *.py
%build

%install
%__mkdir_p %buildroot/%_gamesdatadir/%name
%__cp -pr ./ %buildroot/%_gamesdatadir/%name

%__mkdir_p %buildroot%_menudir
cat >%buildroot%_menudir/%name <<EOF
?package(%name): \
	command="%_gamesbindir/%name" \
	needs="X11" \
	icon="%name.png" \
	section="Amusement/Arcade" \
	title="Zephulor" \
	longtitle="Planet Zephulor"
EOF

%__mkdir_p %buildroot%_gamesbindir
cat >%buildroot%_gamesbindir/%name <<EOF
#!/bin/sh
cd %_gamesdatadir/%name
./%name.py
EOF

%post
%update_menus

%postun
%clean_menus

%files
%attr (0755, root root) %_gamesbindir/*
%_gamesdatadir/%name
#%_iconsdir/*
%_menudir/*

%changelog
* Sat Feb 11 2006 Vitaly Lipatov <lav@altlinux.ru> 0.9a-alt3
- build with correct buildrequires and requires

* Mon Mar 21 2005 Vitaly Lipatov <lav@altlinux.ru> 0.9a-alt2
- rebuild with python 2.4

* Mon Dec 06 2004 Vitaly Lipatov <lav@altlinux.ru> 0.9a-alt1
- first build for ALT Linux Sisyphus
